id: upgrade_d7_file
langcode: en
migration_group: migrate_drupal_7_geo
migration_tags:
  - 'Drupal 7'
  - Content
label: 'Geo Public files'
source:
  plugin: d7_file
  scheme: public
  constants:
    source_base_path: '../d7/'
process:
  fid:
    -
      plugin: get
      source: fid
  filename:
    -
      plugin: get
      source: filename
  source_full_path:
    -
      plugin: concat
      delimiter: /
      source:
        - constants/source_base_path
        - filepath
    -
      plugin: urlencode
  uri:
    - plugin: geo_file_exists
      source:
        - '@source_full_path'
        - uri
    - plugin: file_copy
  filemime:
    -
      plugin: get
      source: filemime
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: timestamp
  changed:
    -
      plugin: get
      source: timestamp
  uid:
    -
      plugin: get
      source: uid
destination:
  plugin: 'entity:file'
migration_dependencies:
  required: {  }
  optional: {  }
